Summary: Glide runtime for the 3Dfx Voodoo family of cards
Name: Glide3
Version: 20000823
Release: 1
Source: Glide3-20000823.tar.gz
Source1: glidelink.c
Patch: glide-version.patch
URL: http://www.3dfx.com
Copyright: 3DFX GLIDE Source Code General Public License
Group: User Interface/X Hardware Support
Prereq: /sbin/ldconfig kudzu
Prefix: /usr
ExclusiveArch: i386
BuildRoot: /var/tmp/glide-%{version}-root

%define libver 3.10.0

%description
Glide3 is a low-level API for accessing 3Dfx Interactive's Voodoo
series of graphics hardware. It allows for accelerated 3D graphics.

Install Glide3 if you have a 3Dfx Voodoo 3/4/5 or Voodoo Banshee,
and would like to have accelerated hardware 3D support.

%package devel
Summary: Development libraries and headers for Glide
Group: Development/Libraries
Requires: Glide3 = %{version}

%description devel
This package includes the header files, documentation, and test files
necessary for developing applications that use any of the 3D acceleratos in
the 3Dfx Interactive Voodoo line.
 
%prep
%setup -n Glide3
%patch -p1

%build
aclocal
automake
autoconf
mkdir build-5
cd build-5
CFLAGS="$RPM_OPT_FLAGS" ../configure \
	--enable-fx-debug=no \
	--enable-fx-glide-hw=h5 \
	--enable-fx-dri-build \
	--prefix=/usr
make -f makefile.autoconf all
cd ../
mkdir build-3
cd build-3
CFLAGS="$RPM_OPT_FLAGS" ../configure \
	--enable-fx-debug=no \
	--enable-fx-glide-hw=h3 \
	--enable-fx-dri-build \
	--prefix=/usr
make -f makefile.autoconf all

cd ..
gcc -o glidelink %{SOURCE1} $RPM_OPT_FLAGS \
	-DGLIDELIB=\"/usr/lib/libglide3x.so.%{libver}\" -lkudzu -lpci

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 755 glidelink $RPM_BUILD_ROOT/usr/sbin/glidelink

cd build-3

make -f makefile.autoconf install DESTDIR=$RPM_BUILD_ROOT

# Hack
mkdir -p $RPM_BUILD_ROOT/usr/lib/glide3
mv $RPM_BUILD_ROOT/usr/lib/libglide3x.so.%{libver} \
	$RPM_BUILD_ROOT/usr/lib/glide3/libglide3x-v3.so
install -m 755 ../build-5/h5/glide3/src/.libs/libglide3x.so.%{libver} \
	$RPM_BUILD_ROOT/usr/lib/glide3/libglide3x-v5.so
# Point to v3 by default
ln -snf glide3/libglide3x-v3.so $RPM_BUILD_ROOT/usr/lib/libglide3x.so.%{libver}
# ldconfig doesn't like this?
ln -snf libglide3x.so.%{libver} $RPM_BUILD_ROOT/usr/lib/libglide3x.so.3

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
/usr/sbin/glidelink

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/lib/glide3
/usr/lib/libglide3x.so.3
/usr/lib/libglide3x.so.%{libver}
/usr/sbin/glidelink

%files devel
%defattr(-,root,root)
/usr/include/glide3
/usr/lib/libglide3x.so

%changelog
* Wed Aug 23 2000 Bill Nottingham <notting@redhat.com>
- initial packaging
	
